package com.jiayue.ipfcst.console.service;



import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @author: xiuwei
 * @version:
 */
public class Test2 {
  public static void main(String[] args) {
//    ProtocolGatherDataPoint protocolGatherDataPoint=new ProtocolGatherDataPoint();
//    List<ProtocolGatherDataPoint> pointList=new ArrayList<>();
//    pointList.add(protocolGatherDataPoint);
//    EquipmentDataPacker<WeatherStationStatusData> test = new EquipmentDataPacker<>(new WeatherStationStatusData(),pointList);
  //  System.out.println(Math.log10(10));

    double d1 = Math.log10(2.29/1.58);
    double d2 = Math.log10(30 / 10);

     /*d1 = Math.log10(5.81/4.14);

     d2 = Math.log10(80 / 10);*/
    BigDecimal s=new BigDecimal(0);
    for(;s.compareTo(BigDecimal.valueOf(9))<0;s=s.add(BigDecimal.valueOf(0.1))){
      BigDecimal a = BigDecimal.valueOf(263.141).subtract(BigDecimal.valueOf(285.641).multiply(s)).add(BigDecimal.valueOf(74.092).multiply(s.pow(2)));
      System.out.println("a="+a+";s="+s);
    }
  }
}
